package com.informagen.starter.echo;

// Java I/O
import java.io.IOException;

// Servlet
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ShutdownServlet extends HttpServlet {

    protected void service(HttpServletRequest request, 
                        HttpServletResponse response) throws ServletException, IOException {

        // This will shutdown the Echo session and invoke the ServletListener
        request.getSession().invalidate();

        // Bring up this html page which may in turn contain a redirect
        response.sendRedirect(request.getContextPath() + "/exit.html");
    }

}